{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":[]},"type":"markdown"},"seo":{"title":"Okta Management","description":"Okta Developer API Reference","siteUrl":"https://developer-okta.login.adsbillinghub.com","keywords":"okta, api reference docs","lang":"en-US"},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"okta-management","__idx":0},"children":["Okta Management"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"authentication","__idx":1},"children":["Authentication"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"oauth-20-access-token","__idx":2},"children":["OAuth 2.0 access token"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["You can access Okta APIs with scoped OAuth 2.0 access tokens. Each access token enables the bearer to perform specific actions on specific Okta endpoints. The ability to perform these actions are controlled by the scopes that the access token contains. See ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://developer-okta.login.adsbillinghub.com/docs/guides/implement-oauth-for-okta/"},"children":["Implement OAuth for Okta"]}," and ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://developer-okta.login.adsbillinghub.com/docs/guides/implement-oauth-for-okta-serviceapp/main/"},"children":["Implement OAuth for Okta with a service app"]},"."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Your authorization header with an OAuth 2.0 access token should look like the following:"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Authorization: Bearer <example.token.value>"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"api-key","__idx":3},"children":["API key"]},{"$$mdtype":"Tag","name":"blockquote","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Note:"]}," API keys aren't scoped and have full access to all Okta APIs matching the permissions of the administrator that created the key. It's recommended that you use a scoped OAuth 2.0 access token instead."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["You can access the Okta API with the custom HTTP authentication scheme ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["SSWS"]}," for authentication. All requests must have a valid API key specified in the HTTP ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Authorization"]}," header with the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["SSWS"]}," scheme."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Authorization: SSWS 00QCjAl4MlV-WPXM...0HmjFx-vbGua"]},{"$$mdtype":"Tag","name":"blockquote","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Note:"]}," See ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://developer-okta.login.adsbillinghub.com/docs/guides/create-an-api-token/"},"children":["Create an API token"]},"."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The API key (API token) isn't interchangeable with an Okta ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://developer-okta.login.adsbillinghub.com/docs/reference/api/authn/#session-token"},"children":["session token"]},", access tokens, or ID tokens used with ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://developer-okta.login.adsbillinghub.com/docs/reference/api/oidc/"},"children":["OAuth 2.0 and OpenID Connect"]},"."]}]},"headings":[{"value":"Okta Management","id":"okta-management","depth":1},{"value":"Authentication","id":"authentication","depth":2},{"value":"OAuth 2.0 access token","id":"oauth-20-access-token","depth":3},{"value":"API key","id":"api-key","depth":3}],"frontmatter":{"title":"Okta Management","meta":[{"name":"description","content":"Learn how the Okta API works and learn about the compatibility rules and design principles."}],"seo":{"title":"Okta Management"}},"lastModified":"2025-08-28T16:09:14.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/openapi/okta-management/guides/overview","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}